import 'package:doctor_app_flutter/utils/date-utils.dart';

class ListDoctorWorkingHoursTable {
  DateTime? date;
  String? dayName;
  String? workingHours;
  String? projectName;
  String? clinicName;

  ListDoctorWorkingHoursTable({
    this.date,
    this.dayName,
    this.workingHours,
  });

  ListDoctorWorkingHoursTable.fromJson(Map<String, dynamic> json) {
    date = AppDateUtils.convertStringToDate(json['Date']);
    dayName = json['DayName'];
    workingHours = json['WorkingHours'];
    projectName = json['ProjectName'];
    clinicName = json['ClinicName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Date'] = this.date;
    data['DayName'] = this.dayName;
    data['WorkingHours'] = this.workingHours;
    data['ProjectName'] = this.projectName;
    data['ClinicName'] = this.clinicName;

    return data;
  }
}

class WorkingHours {
  String? from;
  String? to;

  WorkingHours({this.from, this.to});
}
